<?php

if(!defined('OT_ROOT')) {
	exit('Access Denied');
}


class AppRecom{
	public static $appName = '邀请注册&分销';

	public static function Jud(){
		return false;
	}

	public static function UcMenu($mode='pc'){

	}

	public static function UserSysTrBox2($US_isRegRecomUser, $US_regFieldStr=''){
		return Adm::PluDefItem(self::$appName, '邀请人信息');
	}

	public static function UcManage($userID,$mode='pc'){

	}

	public static function AppSysTrBox1($AS_recomAnnoun, $AS_recomLinkStr, $AS_recomImgStr, $AS_recomFontStr, $AS_recomNoteStr, $AS_recomArea, $AS_recomRate1, $AS_recomRate2, $AS_recomRate3, $AS_recomIsMeihua){
		return Adm::PluDefItem(self::$appName, '邀请注册&分销');
	}

	public static function UsersBox1($urlPara){
		return '<input type="button" value="查看推荐注册会员" style="color:#c9c9c9;" onclick="alert(\'该菜单需要先购买【'. self::$appName .'】插件才能用\');" />'. Skin::PluSign(self::$appName);
	}

	public static function UsersTabStr($recomId, $isRecomScore){

	}

	public static function AdmManage(){

	}

	public static function RecomTypeCN($str){
		return $str;
	}

	public static function GetRegArr($mode='pc'){
		return array('', 0, '', 0, '');
	}

	public static function AddScore($type, $userID, $username, $recomId, $diyScoreArr=array(), $mode='pc'){

	}

	public static function AuditScore($dataID, $mode='pc'){

	}

	public static function UpdateFatRecomNum($recomId,$state=0,$mode=''){

	}

	public static function RegItem($recomId, $mode='pc'){
		$retStr = '<input type="hidden" id="isRecomUser" name="isRecomUser" value="0" />';
		return $retStr;
	}
}
?>